unit DefRegister;

interface

uses
  Forms,
  TypInfo, DesignIntf, DesignEditors, VCLEditors, RTLConsts,
  SysUtils, Classes, Graphics, Controls, ExtCtrls, StdCtrls, Buttons,
  KclPicEdit, KclPropEditors,
  KclStdEditors;

procedure RegisterPropEditors;
procedure RegisterComponentEditors;
procedure RegisterAttribEditors;

implementation
uses
  KclAttribEditors,
  KclEditors, MPlayer;

procedure RegisterPropEditors;
begin
  RegisterPropertyEditor(TypeInfo(TFontName), nil, '', TFontNameProperty);
  RegisterPropertyEditor(TypeInfo(TFontCharset), nil, '', TFontCharsetProperty);
  RegisterPropertyEditor(TypeInfo(TFont),nil,'',TFontProperty);
  RegisterPropertyEditor(TypeInfo(TColor),nil,'',TColorProperty);
  RegisterPropertyEditor(TypeInfo(TCursor),nil,'',TCursorProperty);
  RegisterPropertyEditor(TypeInfo(TBrushStyle), nil, '', TBrushStyleProperty);
  RegisterPropertyEditor(TypeInfo(TPenStyle), nil, '', TPenStyleProperty);
  RegisterPropertyEditor(TypeInfo(TModalResult), nil, '', TModalResultProperty);

  RegisterPropertyEditor(TypeInfo(TImeName), nil, '', TImeNameProperty);

  RegisterPropertyEditor(TypeInfo(TCaption), nil, '', TCaptionProperty);

  RegisterPropertyEditor(TypeInfo(TDate), nil, '', TDateProperty);

  RegisterPropertyEditor(TypeInfo(TDate), nil, '', TDateProperty);
  RegisterPropertyEditor(TypeInfo(TDateTime), nil, '', TDateTimeProperty);
  RegisterPropertyEditor(TypeInfo(TTime), nil, '', TTimeProperty);

  RegisterPropertyEditor(TypeInfo(Variant), nil, '', TVariantProperty);

  RegisterPropertyEditor(TypeInfo(TGraphic), nil, '', TGraphicProperty);
  RegisterPropertyEditor(TypeInfo(TPicture), nil, '', TPictureProperty);

  RegisterPropertyEditor(TypeInfo(TStrings), nil, '', TKclStringListProperty);
  RegisterPropertyEditor(TypeInfo(TShortCut), nil, '', TShortCutProperty);
  RegisterPropertyEditor(TypeInfo(TFileName), nil, '', TFileNameProperty);
  RegisterPropertyEditor(TypeInfo(string), TMediaPlayer, 'FileName', TMPFilenameProperty);

  RegisterPropertyEditor(TypeInfo(TComponent), nil, '', TMqyComponentProperty);

  RegisterPropertyEditor( TypeInfo( TCaption ), nil, '', TKclCaptionProperty);
end;

procedure RegisterComponentEditors;
begin
  RegisterComponentEditor(TComponent, TComponentEditor);
  RegisterComponentEditor(TImage, TKclImageEditor);
end;


procedure RegisterAttribEditors;
begin
  {
  RegisterKclComponentAttribEditor(TComponent, TDefComponentExAE);
  RegisterKclComponentAttribEditor(TControl, TControlExAE);
  RegisterKclComponentAttribEditor(TImage, TImageExAE);
  RegisterKclComponentAttribEditor(TCustomCheckBox, TCheckCtrlExAE);
  RegisterKclComponentAttribEditor(TRadioButton, TCheckCtrlExAE);
  RegisterKclComponentAttribEditor(TGroupBox, TSingleLineCaptionCtrlExAE);
  RegisterKclComponentAttribEditor(TPanel, TSingleLineCaptionCtrlExAE);
  RegisterKclComponentAttribEditor(TEdit, TSingleLineCaptionCtrlExAE);
  RegisterKclComponentAttribEditor(TBitBtn, TSingleLineCaptionCtrlExAE);
  RegisterKclComponentAttribEditor(TSpeedButton, TSpButtonExAE);
  RegisterKclComponentAttribEditor(TLabel, TLinesCtrlExAE);
  RegisterKclComponentAttribEditor(TPanel, TPanelExAE);
  RegisterKclComponentAttribEditor(TBevel, TBevelExAE);
  RegisterKclComponentAttribEditor(TCustomListBox, TLinesCtrlExAE);
  RegisterKclComponentAttribEditor(TCustomComboBox, TLinesCtrlExAE);
  RegisterKclComponentAttribEditor(TCustomRadioGroup, TLinesCtrlExAE);
  RegisterKclComponentAttribEditor(TCustomForm, TSingleLineCaptionCtrlExAE);

  RegisterKclComponentAttribEditor(TMediaPlayer, TMediaPlayerExAE);
  }
end;


initialization
  RegisterPropertyEditor(TypeInfo(TFontName), nil, '', TFontNameProperty);
  RegisterComponentEditor(TComponent, TDefaultEditor);
end.
